Does not load datacenter when multiple compute resources are created for same VCenter
Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1785683 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7489

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1785683

Description of problem: Does not load datacenter when multiple compute resources are created for same VCenter

Version-Release number of selected component (if applicable):

foreman-1.22

How reproducible:

Steps to Reproduce:

1. Create a Compute resource for the Vcenter having multiple Datacenter

2. Click test connection and connection will be successful and will load the Datacenter.

3. Again try to create new computer resources for the same Vcenter.

4. once clicked on the Test connection, it is successful but not able to load the Datacenter list

Actual results:

Test connection successful but data centers are not listed when multiple compute resource are created for same VCenter

Expected results:

It should load dataceters list after test connection is successful.

Additional info:

This is most likely because of the cache on the datacenters list, as it gets cached under empty CR id.

Associated revisions

Revision cfb0fb2e - 03/08/2020 09:52 AM - Ondřej Ezr

Fixes #29265 - do not cache datacenters list

History

#1 - 03/04/2020 04:47 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/7489 added

#2 - 03/08/2020 09:52 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 03/08/2020 10:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset cfb0fb2e1a89e0e0305fb2b2fa3f86a818db765b.
